local mod = foundation.createMod();


mod:dofile("scripts/upgrade.lua")

mod:dofile("scripts/upgradeWheatFarm.lua")
mod:dofile("scripts/upgradeHopFarm.lua")

mod:dofile("scripts/upgradeBakery.lua")
mod:dofile("scripts/upgradeBlacksmith.lua")
mod:dofile("scripts/upgradeBrewery.lua") -- also includes Cider Press from Orchards mod
mod:dofile("scripts/upgradeCheesemaker.lua") -- also includes creamery from Livestock Farms mod
mod:dofile("scripts/upgradeCandlemaker.lua")
mod:dofile("scripts/upgradeCommonWares.lua")

mod:dofile("scripts/upgradeWeaver.lua")
mod:dofile("scripts/upgradeTailor.lua")
mod:dofile("scripts/upgradeCooperage.lua")
mod:dofile("scripts/upgradeWindmill.lua")

mod:dofile("scripts/upgradeDairyFarm.lua") -- also includes the code for Livestock Farms mod

if foundation.isModLoaded("c8b63172-5b6d-45eb-9fab-a40c8ecd9947") then -- Vegetable and Poultry  Farms mod
    mod:dofile("scripts/upgradeVegetableFarm.lua")
    mod:dofile("scripts/upgradePoultryFarm.lua")
end

if foundation.isModLoaded("4a8d3ff2-60af-4c75-8950-33e990975862") then mod:dofile("scripts/upgradeFurniture.lua") end -- Furniture mod
if foundation.isModLoaded("f252f14d-ca1d-4d02-97ca-46581d4b567d") then mod:dofile("scripts/upgradeOrchard.lua") end -- Orchard mod
if foundation.isModLoaded("25402f80-c479-4c9b-a1c0-2bc7eedf17a1") then mod:dofile("scripts/upgradeFlaxFarm.lua") end -- Flax mod
if foundation.isModLoaded("f6361b64-05d3-4ab5-a2db-b3b60dc4d307") then
    mod:dofile("scripts/upgradeButcher.lua")
    mod:dofile("scripts/upgradeTannery.lua")
    mod:dofile("scripts/upgradeCobbler.lua")
end -- Livestock mod

if foundation.isModLoaded("d757c3ab-0148-4290-aa51-5559329f5640") then mod:dofile("scripts/upgradePottery.lua") end -- Basic Materials mod

mod:dofile("scripts/upgradeFishing.lua") -- also includes the code for Fishing Shacks and Fishing Ponds mods
mod:dofile("scripts/upgradeWoodcutter.lua")
mod:dofile("scripts/upgradeStonecutter.lua")
mod:dofile("scripts/upgradeCharcoal.lua")
mod:dofile("scripts/upgradeIron.lua")
mod:dofile("scripts/upgradeSawmill.lua")



